<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 3:55 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idOficina']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $oficinaadministrativaid = $_REQUEST['idOficina'];
            $oficinaadministrativa = R::load('oficinaadministrativa', $oficinaadministrativaid);
            $oficinaadministrativa->fechaModificacion = date('Y-m-d H:i:s');
            $oficinaadministrativa->estado = $estado;
            $id = R::store($oficinaadministrativa);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}